package com.example.demo.controller;

import com.alibaba.fastjson.JSON;
import com.example.demo.entity.FungimycinLimit;
import com.example.demo.entity.Sheet;
import com.example.demo.service.FungimycinLimitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;



@RestController
@RequestMapping(value = "/CRUD", method = { RequestMethod.GET, RequestMethod.POST })
public class FuncimycinController {
    @Autowired
    private FungimycinLimitService fungimycinLimitService;
    @RequestMapping("/ListFungimycin")
    @ResponseBody
    public List<FungimycinLimit> ListFungimycinByName(){
        return fungimycinLimitService.ListFungimycin();
    }
    //对数据库进行查找操作
    @RequestMapping("/ListFungimycinByName")
    @ResponseBody
    public List<FungimycinLimit> ListUserByFungimycinByName(String fungimycinCname, String food_sort_no){
        return fungimycinLimitService.findByName(fungimycinCname,food_sort_no);
    }

    //对数据库进行的删除操作
    @RequestMapping(value = "/deleteFungimycinByName", method = RequestMethod.GET)
    public String delete(FungimycinLimit fungimycinLimit) {
        String json1= JSON.toJSONString("删除成功");
        String json2= JSON.toJSONString("删除失败");
        int result = fungimycinLimitService.Update2(fungimycinLimit);
        if (result >= 1) {
            return json1;
        } else {
            return json2;
        }
    }
    //对数据进行修改的操作
    @RequestMapping(value = "/updateFungimycinByName", method = RequestMethod.GET)
    public String update(FungimycinLimit fungimycinLimit) {
        String json1= JSON.toJSONString("修改成功");
        String json2= JSON.toJSONString("修改失败");
        int result = fungimycinLimitService.Update(fungimycinLimit);
        if (result >= 1) {
            return json1;
        } else {
            return json2;
        }
    }
    //对数据库进行增加字段操作
    @RequestMapping(value = "/insertFungimycinByName", method = RequestMethod.GET)
    public int insert(FungimycinLimit fungimycinLimit)
    {
        return fungimycinLimitService.insertFungimycinLimit(fungimycinLimit);
    }

    //导入表到库
 /*   @RequestMapping(value ="/aa", method = RequestMethod.GET )
    public void  read()
    {
        try {
            List<PollutantLimit> aa = Readpollutant.read("C:\\测试表格3.xlsx");
            System.out.println(aa.size());
            for (int i = 0; i < aa.size(); i++) {
                insert(aa.get(i));
            }
        } catch(Exception e){
            System.out.println(e.getMessage());
        }
    }

  */

    @RequestMapping("/getFungimycinCategory")
    public List<Sheet> getSheet(){
        return fungimycinLimitService.getSheet();
    }

}